<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="chapter"
            type="app.snappik.pushme.model.Chapter" />
        <variable
            name="bachground"
            type="android.graphics.drawable.GradientDrawable" />
        <variable
            name="levelInfo"
            type="androidx.lifecycle.LiveData&lt;String&gt;" />
        <variable
            name="onPlay"
            type="Runnable" />
        <variable
            name="onBuy"
            type="Runnable" />
        <variable
            name="viewHolder"
            type="app.snappik.pushme.ui.main.ChaptersAdapter.ChapterViewHolder" />
        <import type="android.view.View"/>
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:onClick="@{() -> viewHolder.changeExpanded()}"
        android:background="@android:color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            android:elevation="8dp"
            app:cardCornerRadius="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:animateLayoutChanges="false"
                android:background="@{bachground}">

                <Button
                    android:id="@+id/item_I_button"
                    style="@style/BlueButtonStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="32dp"
                    android:layout_marginEnd="8dp"
                    android:layout_marginBottom="8dp"
                    android:onClick="@{() -> chapter.bought || chapter.cost == 0 ? onPlay.run() : onBuy.run()}"
                    android:text="@{chapter.bought || chapter.cost == 0 ? @string/play : @string/buy(chapter.cost)}"
                    android:visibility="@{viewHolder.expanded == true ? View.VISIBLE : View.GONE}"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/item_l_number" />

                <TextView
                    android:id="@+id/item_l_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/orbitron_bold"
                    android:padding="8dp"
                    android:text="@{chapter.name}"
                    android:textColor="@color/white"
                    android:textSize="24sp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/item_I_levels_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="8dp"
                    android:fontFamily="@font/orbitron_medium"
                    android:text="@{levelInfo}"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    app:layout_constraintBottom_toBottomOf="@+id/item_l_number"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>